package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description 家具类型实体
 * @Reference
 * @Author dragon
 * @CreateDate 2020/2/20 10:42
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_FURNITURE_TYPE")
@Api("家具类型表")
public class WmsFurnitureType extends BaseBean {
    private static final long serialVersionUID = 3573734032905328327L;

    @Column(name = "TYPE_CODE")
    @ApiParam(value = "类型编号")
    private String typeCode;

    @Column(name = "TYPE_NAME")
    @ApiParam(value = "类型名称")
    private String typeName;

    @Column(name = "FNT_LENGTH")
    @ApiParam(value = "长")
    private Integer fntLength;

    @Column(name = "FNT_WIDTH")
    @ApiParam(value = "宽")
    private Integer fntWidth;

    @Column(name = "FNT_HEIGHT")
    @ApiParam(value = "高")
    private Integer fntHeight;

    @Column(name = "STOREY")
    @ApiParam(value = "层")
    private Integer storey;

    @Column(name = "FNT_COL")
    @ApiParam(value = "列")
    private Integer fntCol;

    @Column(name = "IS_SAVE_GOODS")
    @ApiParam(value = "是否储物")
    private Integer isSaveGoods;

    public Integer getStoreyVal() {
        return this.storey == null ? 0 : this.storey.intValue();
    }

    public Integer getFntColVal() {
        return this.fntCol == null ? 0 : this.fntCol.intValue();
    }

    public Integer getFntLengthVal() {
        return this.fntLength == null ? 0 : this.fntLength.intValue();
    }

    public Integer getFntWidthVal() {
        return this.fntWidth == null ? 0 : this.fntWidth.intValue();
    }

    public Integer getFntHeightVal() {
        return this.fntHeight == null ? 0 : this.fntHeight.intValue();
    }

    public Integer getIsSaveGoodsVal() {
        return this.isSaveGoods == null ? 0 : this.isSaveGoods.intValue();
    }

}
